core / PartyReference

# PartyReference

`data class PartyReference`

Reference to something being stored or issued by a party e.g. in a vault or (more likely) on their normal ledger. The reference is intended to be encrypted so its meaningless to anyone other than the party.

### Constructors

<init> | `PartyReference(party: Party, reference: OpaqueBytes)` Reference to something being stored or issued by a party e.g. in a vault or (more likely) on their normal ledger. The reference is intended to be encrypted so its meaningless to anyone other than the party.

### Properties

party | `val party: Party`
reference | `val reference: OpaqueBytes`

### Functions

toString | `fun toString(): String`